Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564209 - Include specific warning regarding the use of the clustered bit on CLVMD controlled volumes
Summary: Include specific warning regarding the use of the clustered bit on CLVMD cont...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Logical_Volume_Manager
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 16:39 UTC by Cole Towsley
Modified: 2019-03-06 02:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 15:08:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Cole Towsley 2018-04-05 16:39:05 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/logical_volume_manager_administration/lvm_cluster_overview

Section Number and Name: 

1.4. LVM Logical Volumes in a Red Hat High Availability Cluster

Describe the issue: 

This section should include language specifying that the Clustered flag must be enabled on any volumes managed by clvmd to be able to safely activate volume groups concurrently across nodes

Suggestions for improvement: 

we could modify the first bullet point of 1.4.1 regarding CLVMD from this:

If multiple nodes of the cluster require simultaneous read/write access to LVM volumes in an active/active system, then you must use CLVMD. CLVMD provides a system for coordinating activation of and changes to LVM volumes across nodes of a cluster concurrently. CLVMD's clustered-locking service provides protection to LVM metadata as various nodes of the cluster interact with volumes and make changes to their layout. 

to this:

If multiple nodes of the cluster require simultaneous read/write access to LVM volumes in an active/active system, then you must use CLVMD. CLVMD provides a system for coordinating activation of and changes to LVM volumes across nodes of a cluster concurrently. CLVMD's clustered-locking service provides protection to LVM metadata as various nodes of the cluster interact with volumes and make changes to their layout. This protection is contingent upon appropriately configuring the volume groups in question, including setting locking-type to 3 in the lvm.conf and setting the clustered flag on any volume group that will be managed by clvmd and activated simultaneously across multiple cluster nodes.

Additional information:

Comment 3 Steven J. Levine 2018-04-10 15:08:34 UTC
The noted bullet in section 1.4.1 has been updated on the Customer Portal:

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/logical_volume_manager_administration/


Note You need to log in before you can comment on or make changes to this bug.